Skip to main content
GET
/
v1
/
{workspace}
/
translation
/
content
/
{locale_file}
/
Get Translation
curl -X GET "https://management-api.suprsend.com/v1/{workspace}/translation/content/fr.json/" \
  --header 'Authorization: ServiceToken <token>'
import requests

url = "https://management-api.suprsend.com/v1/{workspace}/translation/content/{locale_file}/"

headers = {"ServiceToken <token>": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};

fetch('https://management-api.suprsend.com/v1/{workspace}/translation/content/{locale_file}/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "filename": "fr.json",
  "locale": "fr",
  "locale_name": "French",
  "namespace": null,
  "action": "updated",
  "updated_at": "2025-10-29T17:14:33.048313Z",
  "content": {
    "task_created": "Tâche créée",
    "task_completed": "Tâche terminée",
    "task_due": "Tâche due",
    "task_assigned": "Tâche assignée"
  }
}
{
  "code": 401,
  "error_code": "authentication_failed",
  "type": "AuthenticationFailed",
  "message": "Invalid service token.",
  "detail": "Invalid service token."
}
{
  "code": 404,
  "error_code": "not_found",
  "type": "NotFound",
  "message": "workspace 'demo' not found",
  "detail": "workspace 'demo' not found"
}

Authorizations

ServiceToken <token>
string
header
required

You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.

Path Parameters

workspace
string
required

Workspace slug (staging, production, etc.)

locale_file
string
required

Locale file name (e.g., "fr.json", "es-MX.json", "auth.en.json")

Query Parameters

mode
enum<string>
default:draft

Mode to fetch translation (draft or live). By default, draft translation is returned.

Available options:
draft,
live

Response

Successfully retrieved translation content

filename
string

Name of the translation file

Example:

"fr.json"

locale
string

Locale code for the translation file

Example:

"fr"

locale_name
string

Human-readable name of the locale

Example:

"French"

namespace
string | null

Namespace for the translation file, if any

Example:

null

action
enum<string>

action done in the version compared to last commit.

Available options:
added,
updated,
deleted,
unchanged
Example:

"updated"

updated_at
string<date-time>

When the translation file was last updated

content
object

Translation key-value pairs